summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-04-20 08:15:43 +0200
committerHans de Graaff <graaff@gentoo.org>2019-04-20 08:36:31 +0200
commit6e32511e76223014911410b65815619beffbcc45 (patch)
tree8fa46d023aa8a58e8814fbc4e52af60b967559fb /dev-ruby
parentdev-ruby/curb: add 0.9.10 (diff)
downloadgentoo-6e32511e76223014911410b65815619beffbcc45.tar.gz
gentoo-6e32511e76223014911410b65815619beffbcc45.tar.bz2
gentoo-6e32511e76223014911410b65815619beffbcc45.zip
dev-ruby/unf_ext: add 0.0.7.6
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/unf_ext/Manifest1
-rw-r--r--dev-ruby/unf_ext/unf_ext-0.0.7.6.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-ruby/unf_ext/Manifest b/dev-ruby/unf_ext/Manifest
index 624321d14cd..300eebd9b1c 100644
--- a/dev-ruby/unf_ext/Manifest
+++ b/dev-ruby/unf_ext/Manifest
@@ -1,2 +1,3 @@
DIST unf_ext-0.0.7.4.gem 398848 BLAKE2B 2c41bcfb3bbe39035109b8f039b5e0795047579f47ca80956988f48039b915ebca1dd43e6ecc1d5ac0498e48b4b12f5b9209b82218b45d11111d5e409fa1e7ea SHA512 2f90542c899e02c2cae06b54ad381ba0f2084880cb760357b4cedf7f171aa2eb7322a0288fadd253624c531410730624a4c8d51e5eb61a67b3fd91d985847fbb
DIST unf_ext-0.0.7.5.gem 398848 BLAKE2B 3c7b2a6765360f59b7b921155bb6532981c8b31fd1fcebf1adc1e113da2404fa752ef95bb385155de1a6025d51f4564e52b497c5396624a0a5e99357fff88662 SHA512 5d60740172034253fec9659bec49e60f639e93d8f147582e26a012712ec2e5fca30674efc52695def0c3cd145c5ddd93a56a6d0f854ab04e7fc81544e6aede16
+DIST unf_ext-0.0.7.6.gem 399360 BLAKE2B a805d991580ced26400194bb45d4e4ab395e4936e8416a9469443c12015ca231c6277fd5d2112c346085a5fe9756786cc18626578f0d5ed0d68544043699fa41 SHA512 c6b6bc797015875b0a3422dc1e9656eae6c42d2263fd6e73ba41a1789ac1ffe927f81d5d9874973fd8d9bd9486494efa725b081e553954121588818d454db7f2
diff --git a/dev-ruby/unf_ext/unf_ext-0.0.7.6.ebuild b/dev-ruby/unf_ext/unf_ext-0.0.7.6.ebuild
new file mode 100644
index 00000000000..f9b94b9809b
--- /dev/null
+++ b/dev-ruby/unf_ext/unf_ext-0.0.7.6.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem multilib
+
+DESCRIPTION="Unicode Normalization Form support library for CRuby"
+HOMEPAGE="https://github.com/knu/ruby-unf_ext"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/test-unit-2.5.1-r1
+ )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/,/end/ s:^:#:' Rakefile test/helper.rb || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/unf_ext extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake -Cext/unf_ext CFLAGS="${CFLAGS} -fPIC" archflag="${LDFLAGS}" V=1
+ cp ext/unf_ext/*$(get_modname) lib/ || die
+}
+
+each_ruby_test() {
+ ruby-ng_testrb-2 test/test_*.rb
+}